using System;

/// @author vesal
/// @version 20.9.2021
/// <summary>
/// Kokeillaan aliohjelmia
/// </summary>
public class Laskuja
{
    /// <summary>
    /// kutustaan laskevia aliohjelmia
    /// </summary>
    public static void Main()
    {               
        int a = 3; 
        int b = 2;
        double ka;
        ka = Keskiarvo(a, b);
        Console.WriteLine(ka);
    }


    /// <summary>
    /// Lasketaan lukujen keskiarvo
    /// </summary>
    /// <param name="luku1">ensimmäinen luku</param>
    /// <param name="luku2">toinen luku</param>
    /// <returns>lukujen keskiarvon</returns>
    /// <example>
    /// <pre name="test">
    ///   Keskiarvo(0,0) ~~~ 0.0;
    ///   Keskiarvo(-5,5) ~~~ 0.0;
    ///   Keskiarvo(10,6) ~~~ 8.0;
    ///   Keskiarvo(3,2) ~~~ 2.5;
    /// </pre>
    /// </example>
    public static double Keskiarvo(int luku1, int luku2)
    {
        return (luku1 + luku2) / 2.0;
    }
}
