using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

/// @author vesal
/// @version 4.10.2021
/// <summary>
/// Etsitään pisin sana kolmesta
/// </summary>
public class Pisin3
{
    /// <summary>
    /// Kokeillaan funktiota
    /// </summary>
    public static void Main()
    {
        string pisin = PisinJono("Kissa", "Kana", "Krokotiili");
        System.Console.WriteLine("Pisin oli: " + pisin);
    }


    /// <summary>
    /// Etsitään pisin kolmesta jonosta
    /// </summary>
    /// <param name="a">eka</param>
    /// <param name="b">toka</param>
    /// <param name="c">kolmas</param>
    /// <returns>pisin jonoista a, b ja c</returns>
    /// <example>
    /// <pre name="test">
    ///    PisinJono("Kissa", "Kana", "Krokotiili") === "Krokotiili";
    ///    PisinJono("Kissa", "Apua", "Kana") === "Kissa";
    ///    PisinJono("Täi", "Apua", "Kana") === "Apua";
    /// </pre>
    /// </example>
    public static string PisinJono(string a, string b, string c)
    {
        string voittaja = a;
        if (voittaja.Length < b.Length) voittaja = b;
        if (voittaja.Length < c.Length) voittaja = c;
        return voittaja; 
    }

}
