using System;
using System.Text;

/// <summary>
/// Tutkitaan olioviitteiden käyttöä ja käyttäytymistä.
/// </summary>
public class Olioviitteet
{
    /// <summary>
    /// Alustetaan muuttujia ja tulostetaan.
    /// Testaillaan olioiden ja alkeismuuttujien eroja.
    /// </summary>
    public static void Main()
    {
        StringBuilder s1 = new StringBuilder("eka");
        StringBuilder s2 = new StringBuilder("eka");

        Console.WriteLine(s1 == s2);       // false
        Console.WriteLine(s1.Equals(s2));  // true
        Console.WriteLine(s1.Equals("eka"));  // true
        Console.WriteLine("eka".Equals(s2));  // false



        int i1 = 11;
        int i2 = 10 + 1;

        Console.WriteLine(i1 == i2);       // true

        int[] it1 = new int[1]; it1[0] = 3;
        int[] it2 = new int[1]; it2[0] = 3;

        Console.WriteLine(it1 == it2);       // false
        Console.WriteLine(it1.Equals(it2));  // false
        Console.WriteLine(it1[0] == it2[0]); // true

        s2 = s1;
        Console.WriteLine(s1 == s2);         // true

        Console.WriteLine(s2);
        s1.Append("Toka");
        Console.WriteLine(s2);
    }
}