using System;

/// @author  Vesa Lappalainen
/// @version 14.10.2012
/// <summary>
/// Ohjelmassa harjoitellaan taulukko funktioiden käyttöä.
/// </summary>
public class SuurinJaPienin
{
    /// <summary>
    /// Kysytään käyttäjältä lukuja ja tulostetaan
    /// niistä suurin ja pienin.
    /// </summary>
    /// <param name="args"></param>
    public static void Main(string[] args)
    {
        const int KOKO = 3;
        int[] luvut = new int[KOKO];
        /*
        Console.Write("Anna 1. kokonaisluku >");
        luvut[0] = int.Parse(Console.ReadLine());

        Console.Write("Anna 2. kokonaisluku >");
        luvut[1] = int.Parse(Console.ReadLine());

        Console.Write("Anna 3. kokonaisluku >");
        luvut[2] = int.Parse(Console.ReadLine());
        */
        for (int i = 0; i < luvut.Length; i++)
        {
            Console.Write($"Anna {i + 1}. kokonaisluku >");
            luvut[i] = int.Parse(Console.ReadLine());
        }

        // int suurin = Suurin3(luvut);
        // int pienin = Pienin3(luvut);

        // Console.WriteLine("Suurin luku on " + suurin);
        // Console.WriteLine("Pienin luku on " + pienin);
    }


    /// <summary>
    /// Aliohjelma tutkii, mikä annetuista
    /// kolmesta kokonaisluvuista on suurin,
    /// ja palauttaa sen.
    /// </summary>
    /// <param name="luvut">3 paikkainen taulukko jossa on luvut</param>
    /// <returns>Suurin luku kolmesta</returns>
    /// <example>
    /// <pre name="test">
    /// Suurin3(new int[]{1, 2 ,3}) === 3;
    /// Suurin3(new int[]{1, 3 ,2}) === 3;
    /// Suurin3(new int[]{2, 1, 3}) === 3;
    /// Suurin3(new int[]{2, 3, 1}) === 3;
    /// Suurin3(new int[]{3, 1 ,2}) === 3;
    /// Suurin3(new int[]{3, 2 ,1}) === 3;
    /// Suurin3(new int[]{4, 2, 4}) === 4;
    /// Suurin3(new int[]{1, 1, 1}) === 1;
    /// Suurin3(new int[]{1, 1   }) === 1; #THROWS IndexOutOfRangeException
    /// </pre>
    /// </example>


    /// <summary>
    /// Aliohjelma tutkii, mikä annetuista
    /// kokonaisluvuista on pienin,
    /// ja palauttaa sen.
    /// </summary>
    /// <param name="luvut">taulukko jossa on luvut</param>
    /// <returns>Pienin luku</returns>
    /// <example>
    /// <pre name="test">
    /// Pienin(new int[]{1, 2 ,3}) === 1;
    /// Pienin(new int[]{1, 3 ,2}) === 1;
    /// Pienin(new int[]{2, 1, 3}) === 1;
    /// Pienin(new int[]{2, 3, 1}) === 1;
    /// Pienin(new int[]{3, 1 ,2}) === 1;
    /// Pienin(new int[]{3, 2 ,1}) === 1;
    /// Pienin(new int[]{3, 3, 2}) === 2;
    /// Pienin(new int[]{3, 3, 3}) === 3;
    /// Pienin(new int[]{1, 2})    === 1;
    /// Pienin(new int[]{2})       === 2;
    /// Pienin(new int[]{})        === int.MaxValue;
    /// </pre>
    /// </example>



    /// <summary>
    /// Aliohjelma tutkii, mikä annetuista
    /// kokonaisluvuista on suurin,
    /// ja palauttaa sen.
    /// </summary>
    /// <param name="luvut">taulukko jossa on luvut</param>
    /// <returns>Suurin luku</returns>
    /// <example>
    /// <pre name="test">
    /// Suurin(new int[]{1, 2 ,3}) === 3;
    /// Suurin(new int[]{1, 3 ,2}) === 3;
    /// Suurin(new int[]{2, 1, 3}) === 3;
    /// Suurin(new int[]{2, 3, 1}) === 3;
    /// Suurin(new int[]{3, 1 ,2}) === 3;
    /// Suurin(new int[]{3, 2 ,1}) === 3;
    /// Suurin(new int[]{4, 2, 4}) === 4;
    /// Suurin(new int[]{1, 1, 1}) === 1;
    /// Suurin(new int[]{1, 2   }) === 2;
    /// Suurin(new int[]{1      }) === 1;
    /// Suurin(new int[]{       }) === 0;
    /// </pre>
    /// </example>




}