using System;
using System.Collections.Generic;

/// @author  Vesa Lappalainen
/// @version 13.11.2012
/// <summary>
/// Listoista poistaminen
/// </summary>
public class Poistot
{
    /// <summary>
    /// 
    /// </summary>
    /// <param name="args">ei käytössä</param>
    public static void Main(string[] args)
    {
        List<string> sanat = new List<string>() { "kissa", "koira", "kana", "susi", "ankka" };

        Console.WriteLine(String.Join(" ", sanat));

        // string poistettava = "kissa";
        sanat.RemoveAll(delegate(string sana) { return sana == "kissa"; });
        sanat.RemoveAll(delegate (string sana) { return sana == "susi"; });
        sanat.RemoveAll(sana => sana == "kissa");

        Console.WriteLine(String.Join(" ", sanat));

        /*
        bool OnkoPoistettava(String sana)
        {
            return sana == poistettava;
        }
        */
    }

    public static bool OnkoKissa(string sana)
    {
        return sana.StartsWith("kissa");
    }

    public static bool AlkaaKlla(String sana)
    {
        if (sana.Length == 0) return false;
        return sana[0] == 'k';
    }

}
