﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

namespace AutolaskuriBind
{
    /// <summary>
    /// Autolaskuri bindattavilla komponenteillä
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void ButtonHA_Click(object sender, RoutedEventArgs e)
        {
            BindLaskuri laskuri = BindLaskuri.GetLaskuri(sender);
            if (laskuri != null) laskuri++;
        }

        private void ButtonNollaa_Click(object sender, RoutedEventArgs e)
        {
            for (int i = 0; i < VisualTreeHelper.GetChildrenCount(ButtonNollaa.Parent); i++)
            {
                DependencyObject ctr = VisualTreeHelper.GetChild(ButtonNollaa.Parent, i);
                if (ctr is BindLaskuri) ((BindLaskuri)ctr).Count = 0;
            }
        }

    }
}
