using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

public class Nelio
{
    public static void Main()
    {
        double sivunpituus = 3;
        double ala;
        ala = NelionAla(sivunpituus);
        Console.WriteLine("Kun neliön sivun pituus on {0:0.0}, niin ala on {1:0.0}",
                           sivunpituus, ala);
    }

    /// <summary>
    /// Funktio laskee neliön pinta-alan.
    /// </summary>
    /// <param name="s">Neliön sivun pituus</param>
    /// <returns>Neliön pinta-ala</returns>
    /// <example>
    /// <pre name="test">
    ///    NelionAla(1) ~~~ 1
    ///    NelionAla(2) ~~~ 4
    ///    NelionAla(3) ~~~ 9
    /// </pre>
    /// </example>
    // BYCODEBEGIN
    public static double NelionAla(double s)
    {
        return s * s;
    }
    // BYCODEEND
}

