using System;
using System.Text;

public class Lisaile
{
    public static void Main()
    {
        StringBuilder pali = new StringBuilder("Saippuakauppias");
        LisaaKeskelle(pali, "kivi");
        Console.WriteLine(pali);
    }


    /// <summary>
    /// Aliohjelmalla lisätään jonon keskelle valittu lisäteksti
    /// </summary>
    /// <param name="jono">Tutkittava jono</param>
    /// <param name="lisateksti">Lisättävä jono</param>
    /// <example>
    /// <pre name="test">
    /// LisaaKeskelle(new StringBuilder("Abba"), "c").ToString() === "Abcba";
    /// LisaaKeskelle(new StringBuilder(""), "a").ToString() === "a";
    /// LisaaKeskelle(new StringBuilder("123"), "4").ToString() === "1423";
    /// </pre>
    /// </example>
    // BYCODEBEGIN
    public static StringBuilder LisaaKeskelle(StringBuilder jono, string lisateksti)
    {
        int puolivali = jono.Length / 2;
        jono.Insert(puolivali, lisateksti);
        return jono;
    }


    // BYCODEEND
}

