using System;

namespace Demo10
{
    class PuuRekursio
    {
        // Binääripuun solmu.
        public class Solmu
        {
            public int data;
            public Solmu vasenLapsi, oikeaLapsi;

            // Konstruktori, jolle voidaan antaa solmun alkio.
            public Solmu(int data, Solmu vasen = null, Solmu oikea = null)
            {
                this.data = data;
                this.vasenLapsi = vasen;
                this.oikeaLapsi = oikea;
            }

            // Tulostaa solmun syvyyden mukaan.
            public void Tulosta(int syvyys, int valin_lisays)
            {
                for (int i = valin_lisays; i < syvyys; i++)
                    Console.Write(" ");

                Console.Write(data + "\n");
            }
        };


        /// BYCODEBEGIN
        static void TulostaPuu(Solmu solmu, int syvyys)
        {
            // Määritetään väli solmujen välillä.
            int valin_lisays = 5;
            syvyys += valin_lisays;

            // Kirjoita tähän rekursion lopetusehto.
            // ...

            // Käsittele tässä oikeanpuoleinen lapsisolmu rekursiivisesti.
            // ...

            // Tulostaa solmun.
            solmu.Tulosta(syvyys, valin_lisays);

            // Käsittele tässä vasemmanpuoleinen lapsisolmu rekursiivisesti.
            // ...
        }
        /// BYCODEEND


        // Pääohjelma, jossa luodaan puun solmut ja aloitetaan tulostaminen.
        public static void Main(String[] args)
        {
            Solmu s2 = new Solmu(2, new Solmu(1), new Solmu(3));
            Solmu s6 = new Solmu(6, new Solmu(5), new Solmu(7));
            Solmu s10 = new Solmu(10, new Solmu(9), new Solmu(11));
            Solmu s14 = new Solmu(14, new Solmu(13), new Solmu(15));

            Solmu s4 = new Solmu(4, s2, s6);
            Solmu s12 = new Solmu(12, s10, s14);

            Solmu s8 = new Solmu(8, s4, s12);

            TulostaPuu(s8, 0);
        }
    }
}
