using Jypeli;

/// @author  Vesa Lappalainen, modified by (Oma nimesi).
/// @version 15.9.2012
///
/// <summary>
/// Ohjelma piirt viisi nelit (sivun pituus 80) siten, ett
/// ensimmisen nelin keskipiste on origossa, ja viimeisen
/// nelin keskipiste pisteeess (320, 320).
/// </summary>
public class Portaat : PhysicsGame
{
    /// <summary>
    /// Aliohjelma piirt ruutuun yhden nelin, jonka
    /// sivun pituus on 80, ja keskipiste on (x, y).
    /// </summary>
    /// <param name="peli">Peli, johon neli piirretn</param>
    /// <param name="x">Nelin keskipisteen x-koordinaatti.</param>
    /// <param name="y">Nelin keskipisteen y-koordinaatti.</param>
    public static void PiirraNelio(PhysicsGame peli, double x, double y)
    {
        // Tydenn ...
    }


    /// <summary>
    /// Kutsutaan PiirraNeliota muutaman kerran.
    /// </summary>
    public override void Begin()
    {
        Camera.ZoomToLevel();       // Seuraavia voi kutsua mys muodolla:
        PiirraNelio(this, 0, 0);    //   PiirraNelio(peli:this,x:0,y:0);
        PiirraNelio(this, 80, 80);  //   PiirraNelio(peli:this,x:80,y:80);
        // ...
    }
}