using Jypeli;
using Jypeli.Assets;
using Jypeli.Controls;
using Jypeli.Widgets;
using System;
using System.Collections.Generic;

public class SuorakulmiotFysiikalla : PhysicsGame
{
    public override void Begin()
    {
        Camera.ZoomToLevel();
        Gravity = new Vector(0, -90.81);
        Level.CreateBorders();
        double mini = 5;
        double maxi = 50;
        double ekak = -50;
        double tokak = 300;
        for (int i = 0; i < 1000; i++)
        {
            double w = RandomGen.NextDouble(mini, maxi);
            double h = RandomGen.NextDouble(mini, maxi);
            double x = RandomGen.NextDouble(ekak, tokak);
            double y = RandomGen.NextDouble(ekak, tokak);
            PiirraSuorakulmio(this, x, y, w, h);
        }
    }

    public static void PiirraSuorakulmio(PhysicsGame peli, double x, double y, double w, double h)
    {
        PhysicsObject n = new PhysicsObject(w, h, Shape.Rectangle);
        n.X = x;
        n.Y = y;
        peli.Add(n);
    }
}

