using System;
using System.Text;

/// @author  Vesa Lappalainen
/// @version 10.10.2011
///
/// <summary>
/// Esimerkkejä matriisista
/// </summary>
public class Matriisit
{
    /// <summary>
    /// Esimerkkejä matriiseista
    /// </summary>
    /// <param name="args">ei käytössä</param>
    public static void Main(string[] args)
    {
        // int[] luvut = int[3];
        int[] luvut = { 3, 5, 1, 9 };

        int[,] matriisi1 = new int[4, 5];

        int[,]matriisi = {
                            {1,2,3},   // 0
                            {4,5,6},   // 1 
                            {7,8,9},   // 2
                            {10,11,12} // 3
                          };

        Tulosta(matriisi);

        Console.WriteLine("Dimensio: " + matriisi.Rank);
        Console.WriteLine("Rivejä: " + matriisi.GetLength(0));
        Console.WriteLine("Sarakkeita: " + matriisi.GetLength(1));
        Console.WriteLine("Paikassa 2,1: " + matriisi[2, 1]);

        int rivi = MiltaRiviltaLoytyy(matriisi, 8);

        Console.WriteLine(rivi);

        matriisi1[3, 2] = 99;

        // Tulosta(matriisi1);
    }


    public static int MiltaRiviltaLoytyy(int [,] t, int etsittava)
    {
        int riveja = t.GetLength(0);
        int sarakkeita = t.GetLength(1);

        for (int iy = 0; iy < riveja; iy++)
        {
            for (int ix = 0; ix < sarakkeita; ix++)
            {
                int alkio = t[iy, ix];
                if (alkio == etsittava) return iy;
            }
        }

        return -1;
    }

    public static void Tulosta(int[,] t)
    {
        int riveja = t.GetLength(0);
        int sarakkeita = t.GetLength(1);

        for (int iy = 0; iy < riveja; iy++)
        {
            for (int ix = 0; ix < sarakkeita; ix++)
            {
                int alkio = t[iy, ix];
                if (alkio == 8) continue;
                Console.Write($"{alkio,3}");
            }
            Console.WriteLine();

        }
    }

}