public class RekursioKolmio
{
    public static void Main()
    {
        int tulos = Kolmioluku(4);
        int tulosf = KolmiolukuFor(5);
        System.Console.WriteLine(tulos + " " + tulosf);
    }

    // BYCODEBEGIN
    /// <example>
    /// <pre name="test">
    ///   Kolmioluku(0) === 0;
    ///   Kolmioluku(1) === 1;
    ///   Kolmioluku(2) === 3;
    ///   Kolmioluku(3) === 6;
    ///   Kolmioluku(4) === 10;
    ///   Kolmioluku(5) === 15;
    ///   Kolmioluku(6) === 21;
    /// </pre>
    /// </example>
    public static int Kolmioluku(int n)
    {
        if (n == 0) return 0;
        if (n == 1) return 1;
        return Kolmioluku(n - 1) + n;
    }

    /// <example>
    /// <pre name="test">
    ///   KolmiolukuFor(0) === 0;
    ///   KolmiolukuFor(1) === 1;
    ///   KolmiolukuFor(2) === 3;
    ///   KolmiolukuFor(3) === 6;
    ///   KolmiolukuFor(4) === 10;
    ///   KolmiolukuFor(5) === 15;
    ///   KolmiolukuFor(6) === 21;
    /// </pre>
    /// </example>
    public static int KolmiolukuFor(int n)
    {
        if (n == 0) return 0;
        if (n == 1) return 1;
        int kn = 1;
        for (int i = 2; i <= n; i++)
            kn = kn + i;
        return kn;
    }
    // BYCODEEND
}

