using System;
using System.Text;
using System.Linq;
using System.Collections.Generic;
using System.IO;

/// @author vesal
/// @version 3.11.2015
/// <summary>
/// Tulostetaan tiedoston sisältö isoilla kirjaimilla
/// </summary>
public class TiedostoIsoksi
{
    /// <summary>
    /// Tulostetaan tiedoston sisältö isoilla kirjaimilla
    /// </summary>
    /// <param name="args">Tulostettavan tiedoston nimi</param>
    public static void Main(string[] args)
    {
        // string dir = Directory.GetCurrentDirectory();
        // Console.WriteLine(dir);

        string nimi = "kissa.txt";
        if (args.Length > 0) nimi = args[0];

        try
        {
            string[] luetutRivit = File.ReadAllLines(nimi);
            foreach (string rivi in luetutRivit)
            {
                Console.WriteLine(rivi.ToUpper());
            }
        }
        catch (System.IO.FileNotFoundException ex)
        {
            Console.WriteLine("Ei oo tiedostoa!: " + ex.Message);
            return;
        }

    }

}