using System;
using System.Collections.Generic;
using Jypeli;
using Jypeli.Assets;
using Jypeli.Controls;
using Jypeli.Effects;
using Jypeli.Widgets;

public class Pallot : PhysicsGame
{

    public override void Begin()
    {
        PhysicsObject pallo;
        double x = -200;

        PhysicsObject p = Luo(this, 100, 100);
        pallo = Lisaa(this, ref x);
        pallo.Color = Color.Yellow;
        pallo = Lisaa(this, ref x);
        Vaihda(pallo, Color.Red);
        Keyboard.Listen(Key.Escape, ButtonState.Pressed, ConfirmExit, "Lopeta peli");
    }


    public static void Vaihda(PhysicsObject pallo, Color c)
    {
        pallo.Color = c;
    }


    public static PhysicsObject Lisaa(Pallot peli, ref double x)
    {
        x += 100;
        return Luo(peli, x, -200);
    }


    public static PhysicsObject Luo(Game peli, double x, double y)
    {
        PhysicsObject o = new PhysicsObject(70, 70, Shape.Circle);
        peli.Add(o);
        o.Position = new Vector(x, y);
        return o;
    }
}