﻿using System;
using System.IO;
using System.Text.RegularExpressions;

/// @author vesal
/// @version 1.11.2016
/// <summary>
/// Muutetaan Kotus sanalistan XML tiedostooa niin, että siellä olevat
/// sanat tulostetaan isolla.
/// Rivien muoto:
/// <pre>
///    <st><s>aakkonen</s><t><tn>38</tn></t></st>
/// </pre>
/// </summary>
public class Kaino
{
    /// <summary>
    /// 
    /// </summary>
    public static void Main(string[] args)
    {
        string nimi = "kotus.txt";
        if (args.Length > 0) nimi = args[0];

        string[] luetutRivit = File.ReadAllLines(nimi);

        foreach (string rivi in luetutRivit)
        {
            // <st><s>aakkonen</s><t><tn>38</tn></t></st>
            Match match = Regex.Match(rivi, @".*<s>(.*)</s>.*", RegexOptions.IgnoreCase);

            if (match.Success)
            {
                string sana = match.Groups[1].Value;
                Console.WriteLine(sana.ToUpper());
            }
        }
    }

}