using System;
using NUnit.Framework;
using static Poikkeus;

	[TestFixture]
	[DefaultFloatingPointTolerance(0.000001)]
	public  class TestPoikkeus
	{
		[Test]
		public  void TestSumma56()
		{
			int[] luvut = { 2, 4, 1 };
			Assert.AreEqual( 7, Summa(luvut) , "in method Summa, line 58");
			Assert.AreEqual( 7, Summa(luvut,0,2) , "in method Summa, line 59");
			Assert.AreEqual( 5, Summa(luvut,1,2) , "in method Summa, line 60");
			Assert.AreEqual( 5, Summa(luvut,1) , "in method Summa, line 61");
			Assert.AreEqual( 6, Summa(luvut,0,1) , "in method Summa, line 62");
			Assert.AreEqual( 4, Summa(luvut,1,1) , "in method Summa, line 63");
			Assert.AreEqual( 0, Summa(luvut,1,0) , "in method Summa, line 64");
			try
			{
			Assert.AreEqual( 7, Summa(luvut,0,100) , "in method Summa, line 65");
			Assert.Fail("Did not throw IndexOutOfRangeException in method Summa on line 64");
			}
			catch (IndexOutOfRangeException)
			{
			}
			try
			{
			Assert.AreEqual( 7, Summa(luvut,-4,100) , "in method Summa, line 66");
			Assert.Fail("Did not throw IndexOutOfRangeException in method Summa on line 65");
			}
			catch (IndexOutOfRangeException)
			{
			}
		}
	}

