﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;


namespace Autolaskuri
{
    /// <summary>
    /// Autolaskurin pääsivu
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private int ha = 0;
        private int ka = 0;

        public MainPage()
        {
            this.InitializeComponent();
        }

        private void ButtonHA_Click(object sender, RoutedEventArgs e)
        {
            ha++;
            LaskuriHA.Text = "" + ha;
        }

        private void ButtonKA_Click(object sender, RoutedEventArgs e)
        {
            ka++;
            LaskuriKA.Text = "" + ka;
        }

        private void ButtonNollaa_Click(object sender, RoutedEventArgs e)
        {
            LaskuriHA.Text = "0";
            LaskuriKA.Text = "0";
            ha = 0;
            ka = 0;
        }
    }
}
