﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;


namespace AutolaskuriProp
{
    /// <summary>
    /// Autolaskuri propertyjen avulla
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private int ha = 0;
        private int ka = 0;

        public int HA { get { return ha; } set { ha = value; LaskuriHA.Text = "" + ha; } }
        public int KA { get { return ka; } set { ka = value; LaskuriKA.Text = "" + ka; } }

        public MainPage()
        {
            this.InitializeComponent();
        }

        private void ButtonHA_Click(object sender, RoutedEventArgs e)
        {
            HA++;
        }

        private void ButtonKA_Click(object sender, RoutedEventArgs e)
        {
            KA++;
        }

        private void ButtonNollaa_Click(object sender, RoutedEventArgs e)
        {
            HA = 0;
            KA = 0;
        }

    }

}
